Skip to main content
`Ctrl`+`K`

# TaoComputeDualVariables

Computes the dual vectors corresponding to the bounds of the variables

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeDualVariables(Tao tao, Vec DL, Vec DU)

Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameters

- DL - dual variable vector for the lower bounds

- DU - dual variable vector for the upper bounds

## Note

DL and DU should be created before calling this routine. If calling this routine after using an unconstrained solver, `DL` and `DU` are set to all zeros.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeObjective()`, `TaoSetVariableBounds()`

## Level

advanced

## Location

src/tao/interface/taosolver_bounds.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages